{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.pulseaudio {

  # Paquets
  environment.systemPackages = with pkgs; [
    paprefs       # préferences pulseaudio
    pavucontrol   # mixer pulseaudio
  ];

  # Pulse Audio
  hardware.pulseaudio = {
    enable = true;
    support32Bit = true;
    daemon.config = { flat-volumes = "no"; };
  };
}
